import React, { Component } from 'react';
import KeepAlive from 'react-activation';
import {
  sldLlineRtextAddGoodsAddMargin,
  sldComLanguage,
} from '@/utils/utils';
import global from '@/global.less';
import VendorList from './vendor_lists';
import defaultSettings from '@/defaultSettings';

export default class List extends Component {
  render() {
    return (
      <div className={global.common_page}>
        {sldLlineRtextAddGoodsAddMargin(defaultSettings.primaryColor, `${sldComLanguage('商家管理')}`, 0, 0, 10)}
        <KeepAlive>
          <VendorList/>
        </KeepAlive>
      </div>
    );
  }
}
