package com.slodon.b2b2c.starter.mongodb;


import com.slodon.b2b2c.core.config.DomainUrlUtil;
import com.slodon.b2b2c.core.constant.StarterConfigConst;
import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

/**
 * mongodb自定义配置
 */
@ConfigurationProperties(prefix = StarterConfigConst.MONGODB_PREFIX)
@Data
public class SlodonMongodbProperties {
    /**
     * mongodb uri
     */
    private String uri = DomainUrlUtil.SLD_MONGODB_URI;

}
