package com.slodon.b2b2c.starter.entity.cpcn;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 7703 请求参数
 */
@Data
public class SellerSignRequest implements Serializable {

    private static final long serialVersionUID = 4337916762099331034L;
    @ApiModelProperty(value = "机构编号",required = true)
    private String institutionId;

    @ApiModelProperty(value = "申请流水号",required = true)
    private String applyNo;

    @ApiModelProperty(value = "用户 ID",required = true)
    private String userId;

    @ApiModelProperty(value = "协议模板编号")
    private String protocolNumber = "000167";

}
