package com.slodon.b2b2c.starter.entity.cpcn;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author
 * @date
 */
@Data
public class TxRefundRequest implements Serializable {
    private static final long serialVersionUID = 3435901671586444844L;

    @ApiModelProperty(value = "机构编号", required = true)
    private String institutionId;

    @ApiModelProperty(value = "退款交易流水号", required = true)
    private String txSn;

    @ApiModelProperty(value = "原支付交易流水号", required = true)
    private String paymentTxSn;

    @ApiModelProperty(value = "退款方式:20-原路退款", required = true)
    private String refundWay = "20";

    @ApiModelProperty(value = "后台通知地址")
    private String noticeUrl;

    @ApiModelProperty(value = "备注")
    private String remark;
}
