package com.slodon.b2b2c.core.constant;

/**
 * 快递公司相关常量
 */
public class ExpressConst {

    /**
     * 快递公司状态：1-启用，0-不启用
     */
    public static final int EXPRESS_STATE_OPEN = 1;
    public static final int EXPRESS_STATE_CLOSE = 0;

    /**
     * 快递鸟支付类型 1-现付；2-到付；3-月结；4-第三方支付(仅顺丰支持)
     */
    public static final int PAY_TYPE_1 = 1;
    public static final int PAY_TYPE_2 = 2;
    public static final int PAY_TYPE_3 = 3;
    public static final int PAY_TYPE_4 = 4;

    /**
     * 快递100支付方式 SHIPPER-寄方付；CONSIGNEE-到付；MONTHLY-月结；THIRDPARTY-第三方支付
     */
    public static final String PAY_TYPE_VALUE_1 = "SHIPPER";
    public static final String PAY_TYPE_VALUE_2 = "CONSIGNEE";
    public static final String PAY_TYPE_VALUE_3 = "MONTHLY";
    public static final String PAY_TYPE_VALUE_4 = "THIRDPARTY";
}
