package com.slodon.b2b2c.core.constant;

/**
 * 店铺开户常量
 */
public class StoreOpenAccountConst {

    /**
     * 开开户状态，10-绑卡成功待开户，20开户成功，21-开户失败，22-开户处理中，30-签约成功，31-签约处理中
     */
    public final static int STATE_0        = 0;
    public final static int STATE_10       = 10;
    public final static int STATE_20       = 20;
    public final static int STATE_21       = 21;
    public final static int STATE_22       = 22;
    public final static int STATE_30       = 30;
    public final static int STATE_31       = 31;

    /**
     * 提现状态，10-提现审核中，20提现成功待打款，21-提现失败
     */
    public final static int WITHDRAWAL_STATE_10       = 10;
    public final static int WITHDRAWAL_STATE_20       = 20;
    public final static int WITHDRAWAL_STATE_21       = 21;
}
