package com.slodon.b2b2c.business.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 订单支付流水号表，用于中金支付，生成新的流水号之前，要关闭所有支付中的支付订单
 */
@Data
public class PayTx implements Serializable {
    private static final long serialVersionUID = -6651793889496380218L;

    @ApiModelProperty("流水id")
    private Integer txId;

    @ApiModelProperty("流水号")
    private String txSn;

    @ApiModelProperty("订单号")
    private String paySn;

    @ApiModelProperty("状态，1-支付中，2-已关闭，3-支付成功")
    private Integer state;
}