package com.slodon.b2b2c.goods.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 编辑店铺荣誉资质接口参数
 */
@Data
public class StoreCertificateUpdateDTO implements Serializable {
    @ApiModelProperty("荣誉资质图片id")
    private Long id;

    @ApiModelProperty("荣誉资质名称")
    private String name;

    @ApiModelProperty("荣誉资质图片路径")
    private String path;

    @ApiModelProperty("排序")
    private Integer sort;
}
