package com.slodon.b2b2c.helpdesk.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 客服最近联系人DTO
 * @author wuxy
 */
@Data
public class VendorContactDTO implements Serializable {

    private static final long serialVersionUID = -4656781804086470567L;
    @ApiModelProperty("消息ID")
    private Long msgId;

    @ApiModelProperty("会员ID")
    private Integer memberId;

    @ApiModelProperty("商户ID")
    private Long vendorId;

    @ApiModelProperty("店铺id，0表示平台")
    private Long storeId;

    @ApiModelProperty("会员名称")
    private String memberName;
}
