package com.slodon.b2b2c.seller.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 新增媒体库的入参封装
 */
@Data
public class MediaListAddDTO {
    @ApiModelProperty("多媒体名称")
    private String name;
    @ApiModelProperty("多媒体图片路径")
    private String path;
    //前台入参时这个下拉框就前台写死，后台没有表进行动态赋值
    @ApiModelProperty("多媒体分类")
    private String type;
    @ApiModelProperty("文件后缀名")
    private String extend;

}
