package com.slodon.b2b2c.seller.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

@Data
public class EnquiryReceiveMailSettingExample implements Serializable {
    private static final long serialVersionUID = -4375707414284856111L;

    /**
     * 店铺id
     */
    private Long storeId;

    /**
     * 邮箱模糊查询
     */
    private String emailLike;

    /**
     * 邮箱精确查询
     */
    private Long idNotEqualTo;

    /**
     * 电话模糊查询
     */
    private String phoneLike;

    /**
     * 邮箱精确查询
     */
    private String email;

    /**
     * 电话精确查询
     */
    private String phone;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照addressId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}