package com.slodon.b2b2c.seller.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 店铺快递配置表
 */
@Data
public class StoreExpressSetting implements Serializable {
    private static final long serialVersionUID = 7052562935627033097L;

    @ApiModelProperty("配置ID")
    private Integer settingId;

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("快递鸟电商ID")
    private String businessId;

    @ApiModelProperty("加密私钥")
    private String appKey;

    @ApiModelProperty("打印机名称")
    private String printerName;

    @ApiModelProperty("是否隐藏快递鸟配置")
    private Integer isHidden;
}