package com.slodon.b2b2c.seller.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 店铺内商品-标签绑定关系
 */
@Data
public class StoreLabelBindGoods implements Serializable {
    private static final long serialVersionUID = -7359675950289582686L;

    @ApiModelProperty("绑定id")
    private Integer bindId;

    @ApiModelProperty("父分类ID")
    private Integer parentInnerLabelId;

    @ApiModelProperty("店铺内部分类ID")
    private Integer innerLabelId;

    @ApiModelProperty("店铺内部分类路径")
    private String innerLabelPath;

    @ApiModelProperty("商品ID")
    private Long goodsId;

    @ApiModelProperty("店铺ID")
    private Long storeId;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("创建人ID")
    private Long createVendorId;

    @ApiModelProperty("创建人名字")
    private String createVendorName;
}