package com.slodon.b2b2c.system.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 银行表，用于中金网银支付
 */
@Data
public class ZjBank implements Serializable {
    private static final long serialVersionUID = -8308841629474076706L;

    @ApiModelProperty("主键id")
    private Integer bankId;

    @ApiModelProperty("银行编码，对于中金支付")
    private String bankCode;

    @ApiModelProperty("银行名称，对于中金支付")
    private String bankName;
}