package com.slodon.b2b2c.video.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * 短视频回复点赞表example
 */
@Data
public class SvideoReplyLikeExample implements Serializable {
    private static final long serialVersionUID = -1706745648924475362L;

    /**
     * 用于编辑时的重复判断
     */
    private Integer replyLikeIdNotEquals;

    /**
     * 用于批量操作
     */
    private String replyLikeIdIn;

    /**
     * 点赞id
     */
    private Integer replyLikeId;

    /**
     * 作者id
     */
    private Integer authorId;

    /**
     * 回复id
     */
    private Integer replyId;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照replyLikeId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}