package com.slodon.b2b2c.video.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * 短视频点赞表example
 */
@Data
public class SvideoVideoLikeExample implements Serializable {
    private static final long serialVersionUID = 5393897485373144384L;

    /**
     * 用于编辑时的重复判断
     */
    private Integer videoLikeIdNotEquals;

    /**
     * 用于批量操作
     */
    private String videoLikeIdIn;

    /**
     * 点赞id
     */
    private Integer videoLikeId;

    /**
     * 视频id
     */
    private Integer videoId;

    /**
     * 作者id
     */
    private Integer authorId;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照videoLikeId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}