package com.slodon.b2b2c.video.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 作者关注表
 */
@Data
public class AuthorFollow implements Serializable {
    private static final long serialVersionUID = -5881605613489103476L;

    @ApiModelProperty("followId")
    private Integer followId;

    @ApiModelProperty("作者id")
    private Integer fromAuthorId;

    @ApiModelProperty("作者id")
    private Integer toAuthorId;

    @ApiModelProperty("类型1:from关注to。2to关注from，3互相关注")
    private Integer type;
}