package com.slodon.b2b2c.video.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 短视频主题表
 */
@Data
public class SvideoTheme implements Serializable {
    private static final long serialVersionUID = 3033055981291973788L;

    @ApiModelProperty("主题id")
    private Integer themeId;

    @ApiModelProperty("主题名称")
    private String themeName;

    @ApiModelProperty("排序:0-255,0表示最前")
    private Integer sort;

    @ApiModelProperty("是否显示0:不显示，1显示")
    private Integer isShow;

    @ApiModelProperty("绑定视频数量")
    private Integer videoNum;

    @ApiModelProperty("主题图片")
    private String image;

    @ApiModelProperty("封面图，用于轮播")
    private String carouselImage;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("标签id")
    private Integer labelId;

    @ApiModelProperty("标签名称")
    private String labelName;
}