package com.slodon.b2b2c.video.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 短视频主题视频表
 */
@Data
public class SvideoThemeVideo implements Serializable {
    private static final long serialVersionUID = -996525354329627644L;

    @ApiModelProperty("主题视频id")
    private Integer themeVideoId;

    @ApiModelProperty("主题id")
    private Integer themeId;

    @ApiModelProperty("视频id")
    private Integer videoId;

    @ApiModelProperty("视频名称")
    private String videoName;

    @ApiModelProperty("封面图地址")
    private String videoImage;

    @ApiModelProperty("视频地址")
    private String videoPath;

    @ApiModelProperty("视频简介")
    private String introduction;

    @ApiModelProperty("视频类型:1-视频;2-图文")
    private Integer videoType;
}