package com.slodon.b2b2c.video.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 直播和短视频设置表
 */
@Data
public class VideoSetting implements Serializable {
    private static final long serialVersionUID = -4806197463618274399L;

    @ApiModelProperty("配置名称")
    private String name;

    @ApiModelProperty("配置主题，前端展示使用")
    private String title;

    @ApiModelProperty("配置描述")
    private String description;

    @ApiModelProperty("类型，1-字符串，2-图片，3-固定不能修改，4-开关")
    private Integer type;

    @ApiModelProperty("配置值")
    private String value;
}