package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.CategoryHourExample;
import com.slodon.b2b2c.statistics.pojo.CategoryHour;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品分类时统计表readDao
 */
public interface CategoryHourReadMapper extends BaseReadMapper<CategoryHour, CategoryHourExample> {

    /**
     * 商品分类24小时统计
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getCategoryTrendList(@Param("example") CategoryHourExample example);
}