package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.CategoryMonthExample;
import com.slodon.b2b2c.statistics.pojo.CategoryMonth;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品分类月统计表readDao
 */
public interface CategoryMonthReadMapper extends BaseReadMapper<CategoryMonth, CategoryMonthExample> {

    /**
     * 商品分类销售变化趋势
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getCategoryTrendList(@Param("example") CategoryMonthExample example);
}