package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.GoodsHourExample;
import com.slodon.b2b2c.statistics.pojo.GoodsHour;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品时统计表readDao
 */
public interface GoodsHourReadMapper extends BaseReadMapper<GoodsHour, GoodsHourExample> {

    /**
     * 商品24小时统计
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getGoodsTrendList(@Param("example") GoodsHourExample example);
}