package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.PlatformHourExample;
import com.slodon.b2b2c.statistics.pojo.PlatformHour;
import com.slodon.b2b2c.vo.statistics.MovableGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台时统计表readDao
 */
public interface PlatformHourReadMapper extends BaseReadMapper<PlatformHour, PlatformHourExample> {

    /**
     * 平台趋势统计
     *
     * @param example
     * @return
     */
    List<MovableGoodsVO> getPlatformTrendList(@Param("example") PlatformHourExample example);
}