package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.PlatformMonthExample;
import com.slodon.b2b2c.statistics.pojo.PlatformMonth;
import com.slodon.b2b2c.vo.statistics.MovableGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台月统计表readDao
 */
public interface PlatformMonthReadMapper extends BaseReadMapper<PlatformMonth, PlatformMonthExample> {

    /**
     * 平台趋势统计
     *
     * @param example
     * @return
     */
    List<MovableGoodsVO> getPlatformTrendList(@Param("example") PlatformMonthExample example);
}