package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.StoreHourExample;
import com.slodon.b2b2c.statistics.pojo.StoreHour;
import com.slodon.b2b2c.vo.statistics.MovableGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 店铺时统计表readDao
 */
public interface StoreHourReadMapper extends BaseReadMapper<StoreHour, StoreHourExample> {

    /**
     * 店铺24小时统计
     *
     * @param example
     * @return
     */
    List<MovableGoodsVO> getStoreTrendList(@Param("example") StoreHourExample example);
}