package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.StoreMonthExample;
import com.slodon.b2b2c.statistics.pojo.StoreMonth;
import com.slodon.b2b2c.vo.statistics.MovableGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 店铺月统计表readDao
 */
public interface StoreMonthReadMapper extends BaseReadMapper<StoreMonth, StoreMonthExample> {

    /**
     * 店铺月统计
     *
     * @param example
     * @return
     */
    List<MovableGoodsVO> getStoreTrendList(@Param("example") StoreMonthExample example);
}