package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.TerminalHourExample;
import com.slodon.b2b2c.statistics.pojo.TerminalHour;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 终端时统计表readDao
 */
public interface TerminalHourReadMapper extends BaseReadMapper<TerminalHour, TerminalHourExample> {

    /**
     * 终端24小时统计
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getTerminalTrendList(@Param("example") TerminalHourExample example);
}