package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.TerminalMonthExample;
import com.slodon.b2b2c.statistics.pojo.TerminalMonth;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 终端月统计表readDao
 */
public interface TerminalMonthReadMapper extends BaseReadMapper<TerminalMonth, TerminalMonthExample> {

    /**
     * 终端月统计
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getTerminalTrendList(@Param("example") TerminalMonthExample example);
}