package com.slodon.b2b2c.dto;

import com.slodon.b2b2c.business.pojo.Order;
import com.slodon.b2b2c.business.pojo.OrderProduct;
import com.slodon.b2b2c.business.pojo.OrderReturn;
import com.slodon.b2b2c.core.constant.OrderConst;
import com.slodon.b2b2c.statistics.pojo.base.BrandBase;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.*;

/**
 * gp系统用户dto
 * @author cyan
 */
@Data
public class GpUserInfoDto {

    private String userId;

    private String userName;

    private String nickName;

    private String password;

    private String userEmail;

    private String userPhone;

    private Integer b2bUid;

    private Long vendorId;

    private String statusMsg;

    private String memberType;
}
