package com.slodon.b2b2c.vo.member;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 二维码登录授权进度vo
 */
@Data
public class QrCodeLoginProgressVO implements Serializable {

    public static final int PROGRESS_WAIT = 1;
    public static final int PROGRESS_SUCCESS = 2;
    public static final int PROGRESS_INVALID = 3;

    private static final long serialVersionUID = 7872844486116536826L;
    @ApiModelProperty("登录令牌")
    private String refreshToken;

    @ApiModelProperty("进度，1-等待授权，2-授权成功，3-二维码失效")
    private Integer progress;
}
