package com.slodon.b2b2c.vo.member;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 二维码登录vo
 */
@Data
public class QrCodeLoginVO implements Serializable {
    private static final long serialVersionUID = 6017473394323630711L;

    @ApiModelProperty("二维码图片，base64格式")
    private String image;

    @ApiModelProperty("登录请求标识")
    private String u;
}
