package com.slodon.b2b2c.vo.seller;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * 多媒体左边的树形结构
 */
@Data
public class MediaTreeVo {
    @ApiModelProperty("树形节点id")
    private Integer id;
    @ApiModelProperty("树形节点名称")
    private String name;
    @ApiModelProperty("树形节点属性")
    private String attribute;
    @ApiModelProperty("树形节点的父节点")
    private Integer parentId;
    private List<MediaTreeVo> nodeList;
    public MediaTreeVo(Integer id, String name,String attribute,Integer parentId) {
        this.id = id;
        this.name = name;
        this.parentId = parentId;
        this.attribute = attribute;

    }

}
