package com.slodon.b2b2c.vo.seller;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 中金商户签约申请vo
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class TxSellerSignVO {

    @ApiModelProperty("签署人手机号")
    private String phoneNumber;

    @ApiModelProperty("申请流水号")
    private String applyNo;

    @ApiModelProperty("自助签约地址")
    private String signUrl;

}
