package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * 封装概况-询盘趋势Vo对象
 * @author cyan
 */
@Data
public class EnquiryTrendVO {

    @ApiModelProperty("询盘趋势")
    private List<EnquiryNumVO> enquiryTrendList = new ArrayList<>();

    @Data
    public static class EnquiryNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("询盘量")
        private Integer viewNum;
    }

}
