package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * 封装交易分析-各省份销售Vo对象
 * @author wuxy
 */
@Data
public class ProvinceSalesVO {

    @ApiModelProperty("订单量列表")
    private List<SalesTrendVO> orderNumList = new ArrayList<>();

    @ApiModelProperty("销售额列表")
    private List<SalesTrendVO> orderAmountList = new ArrayList<>();

}
