package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 *
 * 封装流量分析-各终端占比Vo对象
 * @author wuxy
 */
@NoArgsConstructor
@Data
public class TerminalPercentVO {

    @ApiModelProperty("终端名称，1、pc；2、H5；3、Android；4、IOS；5、微信小程序")
    private String terminalName;

    @ApiModelProperty("浏览量")
    private Integer viewNum;

    @ApiModelProperty("浏览量占比")
    private String viewNumPercent;

    @ApiModelProperty("访客数")
    private Integer visitorNum;

    @ApiModelProperty("访客数占比")
    private String visitorNumPercent;
}
