package com.slodon.b2b2c.starter.entity.cpcn;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 4613 绑卡确认请求参数
 */
@Data
public class TxBindCardConfirmRequest implements Serializable {

    private static final long serialVersionUID = 4337916762099331034L;
    @ApiModelProperty(value = "机构编号",required = true)
    private String institutionId;

    @ApiModelProperty(value = "绑卡流水号",required = true)
    private String bindingTxSn;

    @ApiModelProperty(value = "验证方式：10-短信验证，20-小额打款验证",required = true)
    private String verifyWay;

    @ApiModelProperty(value = "短信验证码")
    private String smsCode;

    @ApiModelProperty(value = "打款金额（单位分）")
    private String amount;

}
