package com.slodon.b2b2c.core.constant;


/**
 * @author cyan
 */
public class EnquiryConst {

    /**
     * 询盘状态：NEW、ASSIGN、REPLY、DELETE
     */

    // 新建
    public static final String ENQUIRY_NEW = "NEW";

    //分配
    public static final String ENQUIRY_ASSIGN = "ASSIGN";

    // 回复
    public static final String ENQUIRY_REPLY = "REPLY";

    //删除
    public static final String ENQUIRY_DELETE = "DELETE";

    //有效询盘
    public static final int ENQUIRY_VALID = 0;

    //无效询盘
    public static final int ENQUIRY_INVALID = 1;

    /**
     * 询盘类型；商品、店铺、平台
     */
    //商品
    public static final String ENQUIRY_ITEM_TYPE_GOODS = "GOODS";

    //店铺
    public static final String ENQUIRY_ITEM_TYPE_SHOP = "SHOP";

    //平台
    public static final String ENQUIRY_ITEM_TYPE_MALL = "MALL";

}
