package com.slodon.b2b2c.core.constant;

/**
 * 装修模板相关常量
 */
public class TplPcConst {

    /**
     * 是否显示：0：否；1：是（默认）
     */
    public static final int IS_SHOW_NO      = 0;
    public static final int IS_SHOW_YES     = 1;

    /**
     * 是否启用，0==不启用；1==启用
     */
    public final static int IS_ENABLE_NO     = 0;
    public final static int IS_ENABLE_YES    = 1;

    /**
     * 应用位置 1==商城首页；2==店铺首页，3==通用
     */
    public final static int CLIENT_MALL      = 1;
    public final static int CLIENT_SELLER    = 2;
    public final static int CLIENT_ALL       = 3;

    /**
     * 是否可实例化：0-否，1-是
     */
    public final static int IS_INSTANCE_NO   = 0;
    public final static int IS_INSTANCE_YES  = 1;

    /**
     *新入驻店铺页面的默认装修页deco_id 34 新店铺默认首页 店铺：31002
     */
    public final static int TPL_DEFAULT_1   = 34;

    /**
     * 新入驻店铺所复制的店铺id   310002(江苏未迟数字技术有限)  todo
     */
    public final static Long TPL_STORE_ID = 310002L;
}
