package com.slodon.b2b2c.member.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * @author cyan
 */
@Data
public class MemberEnquiryTrackExample implements Serializable {
    private static final long serialVersionUID = -3320183787038395718L;

    private Long enquiryId;

    private Long vendorId;

    private String messageLike;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照vendorId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}