package com.slodon.b2b2c.system.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author cyan
 */
@Data
public class EnquiryAddDTO implements Serializable {


    private static final long serialVersionUID = 3737927129030215710L;

    @ApiModelProperty(value = "用户名")
    private String name;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "国家")
    private String country;

    @ApiModelProperty(value = "电话区号")
    private String phoneCode;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty("数量")
    private Integer quantity;

    @ApiModelProperty("公司")
    private String company;

    @ApiModelProperty("询盘内容")
    private String message;

    @ApiModelProperty(value = "询盘来源url")
    private String pageUrl;

    @ApiModelProperty(value = "询盘来源类型")
    private String itemType;

    @ApiModelProperty(value = "询盘来源id")
    private Long itemId;
}
