package com.slodon.b2b2c.system.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

@Data
public class CountryExample implements Serializable {
    private static final long serialVersionUID = -4375707414284856111L;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照addressId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}