package com.slodon.b2b2c.system.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * 中金开户-企业类别example
 */
@Data
public class ZjEnterpriseTypeExample implements Serializable {
    private static final long serialVersionUID = -7936252673635612839L;

    /**
     * 用于编辑时的重复判断
     */
    private Integer typeIdNotEquals;

    /**
     * 用于批量操作
     */
    private String typeIdIn;

    /**
     * 主键id
     */
    private Integer typeId;

    /**
     * 类别编码
     */
    private String typeCode;

    /**
     * 类别名称
     */
    private String typeName;

    /**
     * 类别名称,用于模糊查询
     */
    private String typeNameLike;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照typeId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}