package com.slodon.b2b2c.system.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 结算-中金商户订单分账表
 */
@Data
public class BillOrderSplit implements Serializable {
    private static final long serialVersionUID = 307411542061769992L;

    @ApiModelProperty("分账id")
    private Integer splitId;

    @ApiModelProperty("订单号")
    private String orderSn;

    @ApiModelProperty("结算单号")
    private String billSn;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("分账流水号")
    private String txSn;

    @ApiModelProperty("分账金额")
    private BigDecimal splitAmount;

    @ApiModelProperty("分账时间")
    private Date createTime;
}