package com.slodon.b2b2c.system.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 结算转账记录表
 */
@Data
public class BillTransfer implements Serializable {
    private static final long serialVersionUID = 2925582887680419332L;

    @ApiModelProperty("转账id")
    private Integer transferId;

    @ApiModelProperty("结算单号")
    private String billSn;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("转账流水号")
    private String txSn;

    @ApiModelProperty("转账金额")
    private BigDecimal transferAmount;

    @ApiModelProperty("转账时间")
    private Date createTime;
}