package com.slodon.b2b2c.video.example;

import com.slodon.b2b2c.core.response.PagerInfo;
import lombok.Data;

import java.io.Serializable;

/**
 * 短视频评论点赞表example
 */
@Data
public class SvideoCommentLikeExample implements Serializable {
    private static final long serialVersionUID = -681552839337684259L;

    /**
     * 用于编辑时的重复判断
     */
    private Integer commentLikeIdNotEquals;

    /**
     * 用于批量操作
     */
    private String commentLikeIdIn;

    /**
     * 点赞id
     */
    private Integer commentLikeId;

    /**
     * 评论id
     */
    private Integer commentId;

    /**
     * 作者id
     */
    private Integer authorId;

    /**
     * 视频id
     */
    private Integer videoId;

    /**
     * 排序条件，条件之间用逗号隔开，如果不传则按照commentLikeId倒序排列
     */
    private String orderBy;

    /**
     * 分组条件
     */
    private String groupBy;

    /**
     * 分页信息
     */
    private PagerInfo pager;
}