package com.slodon.b2b2c.video.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 店铺直播绑定会员表
 */
@Data
public class LiveStoreBindMember implements Serializable {
    private static final long serialVersionUID = 4784685626246261335L;

    @ApiModelProperty("绑定id")
    private Integer bindId;

    @ApiModelProperty("会员id")
    private Integer memberId;

    @ApiModelProperty("会员名称")
    private String memberName;

    @ApiModelProperty("会员昵称")
    private String memberNickName;

    @ApiModelProperty("会员手机号")
    private String memberMobile;

    @ApiModelProperty("店铺id")
    private Long storeId;

    @ApiModelProperty("店铺名称")
    private String storeName;

    @ApiModelProperty("创建商户id")
    private Long createVendorId;

    @ApiModelProperty("创建商户名称")
    private String createVendorName;

    @ApiModelProperty("创建时间")
    private Date createTime;
}