package com.slodon.b2b2c.video.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 短视频标签表
 */
@Data
public class SvideoLabel implements Serializable {
    private static final long serialVersionUID = -650970078700174297L;

    @ApiModelProperty("标签id")
    private Integer labelId;

    @ApiModelProperty("标签名称")
    private String labelName;

    @ApiModelProperty("排序0-255，0是最靠前")
    private Integer sort;

    @ApiModelProperty("是否显示:0不显示，1显示")
    private Integer isShow;

    @ApiModelProperty("绑定视频数量")
    private Integer videoNum;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;
}