package com.slodon.b2b2c.dao.read.member;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.member.example.MemberDownloadCenterExample;
import com.slodon.b2b2c.member.pojo.MemberDownloadCenter;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author cyan
 */
public interface MemberDownloadCenterReadMapper extends BaseReadMapper<MemberDownloadCenter, MemberDownloadCenterExample> {

    /**
     * @param goodsName
     * @param startRow
     * @param size
     * @return
     */
    List<MemberDownloadCenter> downloadReacordListByPage(
                                        @Param("memberId") Integer memberId,
                                        @Param("goodsNameLike") String goodsName,
                                        @Param("startRow") Integer startRow,
                                        @Param("size") Integer size);

    /**
     * @param goodsName
     * @return
     */
    Integer downloadReacordListByPageCount(@Param("memberId") Integer memberId,@Param("goodsNameLike") String goodsName);
}
