package com.slodon.b2b2c.dao.read.seller;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.seller.example.StoreApplyExample;
import com.slodon.b2b2c.seller.pojo.StoreApply;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface StoreApplyReadMapper extends BaseReadMapper<StoreApply, StoreApplyExample> {

    /**
     * 获取店铺审核手机号
     * @param ids
     * @return
     */
    List<String> getVendorMobileByStoreApply(@Param("ids") List<String> ids);
}