package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.BrandDayExample;
import com.slodon.b2b2c.statistics.pojo.BrandDay;
import com.slodon.b2b2c.statistics.pojo.base.BrandBase;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 品牌日统计表readDao
 */
public interface BrandDayReadMapper extends BaseReadMapper<BrandDay, BrandDayExample> {

    /**
     * 品牌统计
     *
     * @param example
     * @param startRow
     * @param size
     * @return
     */
    List<BrandBase> getBrandList(@Param("example") BrandDayExample example,
                                 @Param("startRow") Integer startRow,
                                 @Param("size") Integer size);
}