package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.GoodsMonthExample;
import com.slodon.b2b2c.statistics.pojo.GoodsMonth;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 商品月统计表readDao
 */
public interface GoodsMonthReadMapper extends BaseReadMapper<GoodsMonth, GoodsMonthExample> {

    /**
     * 商品销售变化趋势
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getGoodsTrendList(@Param("example") GoodsMonthExample example);
}