package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.PlatformDayExample;
import com.slodon.b2b2c.statistics.pojo.PlatformDay;
import com.slodon.b2b2c.statistics.pojo.base.PlatformBase;
import com.slodon.b2b2c.vo.statistics.MovableGoodsVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 平台日统计表readDao
 */
public interface PlatformDayReadMapper extends BaseReadMapper<PlatformDay, PlatformDayExample> {

    /**
     * 平台统计
     *
     * @param example
     * @return
     */
    List<PlatformBase> getPlatformList(@Param("example") PlatformDayExample example);

    /**
     * 平台趋势统计
     *
     * @param example
     * @return
     */
    List<MovableGoodsVO> getPlatformTrendList(@Param("example") PlatformDayExample example);
}