package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.ProvinceHourExample;
import com.slodon.b2b2c.statistics.pojo.ProvinceHour;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 省份时统计表readDao
 */
public interface ProvinceHourReadMapper extends BaseReadMapper<ProvinceHour, ProvinceHourExample> {

    /**
     * 省份24小时统计
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getProvinceTrendList(@Param("example") ProvinceHourExample example);
}