package com.slodon.b2b2c.dao.read.statistics;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.statistics.example.ProvinceMonthExample;
import com.slodon.b2b2c.statistics.pojo.ProvinceMonth;
import com.slodon.b2b2c.vo.statistics.SalesTrendVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 省份月统计表readDao
 */
public interface ProvinceMonthReadMapper extends BaseReadMapper<ProvinceMonth, ProvinceMonthExample> {

    /**
     * 省份月统计
     *
     * @param example
     * @return
     */
    List<SalesTrendVO> getProvinceTrendList(@Param("example") ProvinceMonthExample example);
}