package com.slodon.b2b2c.dao.read.video;

import com.slodon.b2b2c.core.database.BaseReadMapper;
import com.slodon.b2b2c.video.example.VideoGoodsExample;
import com.slodon.b2b2c.video.pojo.VideoGoods;
import org.apache.ibatis.annotations.Param;

/**
 * 短视频或直播商品表readDao
 */
public interface VideoGoodsReadMapper extends BaseReadMapper<VideoGoods, VideoGoodsExample> {

    /**
     * 查询符合条件的分组记录数
     *
     * @param fields
     * @param example
     * @return
     */
    Integer countGroupFieldsByExample(@Param("fields") String fields, @Param("example") VideoGoodsExample example);
}