package com.slodon.b2b2c.vo.helpdesk;

import com.slodon.b2b2c.seller.pojo.Store;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 平台查看聊天记录，供应商vo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class HelpdeskStoreVO implements Serializable {

    private static final long serialVersionUID = -8293180755869525230L;
    @ApiModelProperty("供应商ID，平台统一生成")
    private Long storeId;
    @ApiModelProperty("供应商名称")
    private String storeName;

    public HelpdeskStoreVO(Store store) {
        storeId = store.getStoreId();
        storeName = store.getStoreName();
    }


}
