package com.slodon.b2b2c.vo.promotion;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 封装中奖名单VO对象
 */
@Data
public class DrawWinVO {

    @ApiModelProperty("中奖id")
    private String winId;

    @ApiModelProperty("奖项id")
    private Integer prizeId;

    @ApiModelProperty("奖项名称")
    private String prizeName;

    @ApiModelProperty("会员id")
    private Integer memberId;

    @ApiModelProperty("会员名称")
    private String memberName;

    @ApiModelProperty("会员名称(隐私处理)")
    private String memberNameHide;

    @ApiModelProperty("奖品类型，1-积分，2-优惠券，中奖必填")
    private Integer prizeType;

    @ApiModelProperty("是否虚拟数据，1-是，0-否")
    private Integer isVirtualData;

}