package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
 *
 * 封装商品品类-品类占比Vo对象
 * @author wuxy
 */
@Data
public class CategoryPercentVO {

    @ApiModelProperty("商品分类名称")
    private String categoryName;

    @ApiModelProperty("销售额")
    private BigDecimal saleAmount;

    @ApiModelProperty("销售额占比")
    private String saleAmountPercent;

    @ApiModelProperty("退货数")
    private Integer returnNum;

    @ApiModelProperty("退货数占比")
    private String returnNumPercent;
}
