package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * 封装概况-流量趋势Vo对象
 * @author wuxy
 */
@Data
public class FlowTrendVO {

    @ApiModelProperty("访客数列表")
    private List<VisitorNumVO> visitorNumList = new ArrayList<>();

    @ApiModelProperty("访问量列表")
    private List<ViewNumVO> viewNumList = new ArrayList<>();

    @Data
    public static class VisitorNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("访客数")
        private Integer visitorNum;
    }

    @Data
    public static class ViewNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("访问量")
        private Integer viewNum;
    }

}
