package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * 封装交易分析-订单趋势Vo对象
 * @author wuxy
 */
@Data
public class OrderTrendVO {

    @ApiModelProperty("支付订单数")
    private List<OrderPayNumVO> orderPayNumList = new ArrayList<>();

    @ApiModelProperty("下单数")
    private List<OrderSubmitNumVO> orderSubmitNumList = new ArrayList<>();

    @Data
    public static class OrderPayNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("支付订单数")
        private Integer orderPayNum;
    }

    @Data
    public static class OrderSubmitNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("下单数")
        private Integer orderSubmitNum;
    }
}
