package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * 封装概况-支付或下单金额趋势Vo对象
 * @author wuxy
 */
@Data
public class PlatformTrendVO {

    @ApiModelProperty("新增会员数列表")
    private List<NewMemberNumVO> memberList = new ArrayList<>();

    @ApiModelProperty("新增店铺数列表")
    private List<NewStoreNumVO> storeList = new ArrayList<>();

    @Data
    public static class NewMemberNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("新增会员数")
        private Integer newMemberNum;
    }

    @Data
    public static class NewStoreNumVO {
        @ApiModelProperty("统计时间")
        private String statsTime;

        @ApiModelProperty("新增店铺数")
        private Integer newStoreNum;
    }

}
