package com.slodon.b2b2c.vo.statistics;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 *
 * 封装会员分析-下单会员地域分布占比Vo对象
 * @author wuxy
 */
@Data
public class ProvincePercentVO {

    @ApiModelProperty("省份编码")
    private String provinceCode;

    @ApiModelProperty("省份名称")
    private String provinceName;

    @ApiModelProperty("会员数")
    private Integer memberNum;

    @ApiModelProperty("会员数量占比")
    private String memberNumPercent;

    @ApiModelProperty("店铺数")
    private Integer storeNum;

    @ApiModelProperty("店铺数量占比")
    private String storeNumPercent;
}
